package com.zjrs.zwnw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.jbxxgl.dto.DwxxDTO;
import com.zjrs.zwnw.rlzysc.dto.DwxxQueryDTO;
import com.zjrs.zwnw.rlzysc.po.VRsRlzyQyxxPO;

import java.util.HashMap;
import java.util.Map;

@Mapper
public interface VRsRlzyQyxxMapper extends BaseMapper<VRsRlzyQyxxPO> {
    public Page<Map<String,Object>> getDwjbxxList(Page<Map<String,Object>> page, @Param("dto") DwxxQueryDTO dto);
    public Map getJbxxglDwjbxx(String userid);
    public Map getQyxx(@Param("map") HashMap map);
    public Map getQyxxAndJbxx(@Param("map") HashMap map);
    public DwxxDTO queryJbxx(String rsrlzyqyxxlsh);
    public Map getQyxxByQyid(@Param("map") HashMap map);
}
